<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>7cdc5020-1f9b-482a-925d-f18371fb5666</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <None Include="wwwroot\AdminTheme\.github\codeql\codeql-config.yml" />
    <None Include="wwwroot\AdminTheme\.github\CONTRIBUTING.md" />
    <None Include="wwwroot\AdminTheme\.github\dependabot.yml" />
    <None Include="wwwroot\AdminTheme\.github\ISSUE_TEMPLATE\bug-report-for-adminlte-v3.1-x.md" />
    <None Include="wwwroot\AdminTheme\.github\ISSUE_TEMPLATE\feature-request-for-adminlte-v4-x.md" />
    <None Include="wwwroot\AdminTheme\.github\workflows\ci.yml" />
    <None Include="wwwroot\AdminTheme\.github\workflows\codeql.yml" />
    <None Include="wwwroot\AdminTheme\.github\workflows\docs.yml" />
    <None Include="wwwroot\AdminTheme\.github\workflows\lint.yml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Identity" Version="2.3.1" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="8.0.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ConstructorApp.BusinessLayer\ConstructorApp.BusinessLayer.csproj" />
    <ProjectReference Include="..\ConstructorApp.DataAccessLayer\ConstructorApp.DataAccessLayer.csproj" />
    <ProjectReference Include="..\ConstructorApp.DtoLayer\ConstructorApp.DtoLayer.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\Images\" />
    <Folder Include="wwwroot\SeedData\" />
  </ItemGroup>

</Project>
